List all attendees
1 min
List all attendees
List all attendees in a specific event
GET
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendees
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
Query Parameters
- page[size]NumberrequiredDescription
- page[number]NumberrequiredDescription
- created_fromstringDescription
- created_tostringDescription
- updated_fromstringDescription
- updated_tostringDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendees' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'200
{
"data": [
{
"id": "982404",
"type": "attendee",
"attributes": {
"first-name": "Jane",
"last-name": "Lando",
"email": "[email protected]",
"company-title": "Customer Success Manager ",
"company-name": "Brella Oy",
"group-id": "11428",
"created-at": "2022-04-14T09:53:54.026Z",
"updated-at": "2022-04-14T09:54:55.978Z"
},
"relationships": {
"event": {
"data": {
"id": "5981",
"type": "event"
}
}
}
},
{
"id": "982386",
"type": "attendee",
"attributes": {
"first-name": "Wille",
"last-name": "Valentine",
"email": "[email protected]",
"company-title": "President - Product Experience",
"company-name": "Brella",
"group-id": "11428",
"created-at": "2022-04-14T09:02:01.643Z",
"updated-at": "2022-04-14T09:02:16.491Z"
},
"relationships": {
"event": {
"data": {
"id": "5981",
"type": "event"
}
}
}
},
{
"id": "1127479",
"type": "attendee",
"attributes": {
"first-name": "Kavi",
"last-name": "Weerawardane",
"email": "[email protected]",
"company-title": "Senior PM",
"company-name": "Brella",
"group-id": "11428",
"created-at": "2022-12-10T07:27:48.890Z",
"updated-at": "2022-12-10T07:28:11.764Z"
},
"relationships": {
"event": {
"data": {
"id": "5981",
"type": "event"
}
}
}
},
{
"id": "982409",
"type": "attendee",
"attributes": {
"first-name": "Steffi",
"last-name": "Valentine ",
"email": "[email protected]",
"company-title": "Technical Success Manager",
"company-name": "Brella",
"group-id": "11429",
"created-at": "2022-04-14T10:42:19.215Z",
"updated-at": "2022-11-24T10:15:34.921Z"
},
"relationships": {
"event": {
"data": {
"id": "5981",
"type": "event"
}
}
}
}
]
}Notes:
- This endpoint accepts the following URL parameters for filtering:
- created_from
- updated_from
- created_to
- updated_to
- Please supply the date in the following format: 2023-11-20T00:00:00.000Z